# Class UpdateBatchTranslator

java.lang.Object
org.apache.cayenne.access.translator.batch.BaseBatchTranslator<UpdateBatchQuery>
org.apache.cayenne.access.translator.batch.UpdateBatchTranslator

All Implemented Interfaces:
  `BatchTranslator<UpdateBatchQuery>`

public class UpdateBatchTranslator extends BaseBatchTranslator<UpdateBatchQuery>

Since:
  4.2

- ## Field Summary

  ### Fields inherited from interface BatchTranslator

  `DELETE, INSERT, UPDATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateBatchTranslator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int[]`
  `createRowValueIndexes(org.apache.cayenne.access.translator.batch.BatchTranslatorContext<UpdateBatchQuery> context)`
  Returns, for each PreparedStatement placeholder in the order `BaseBatchTranslator.createSql(BatchTranslatorContext)` emits them, the index of the `BatchQueryRow` value that feeds it.
  `protected String`
  `createSql(org.apache.cayenne.access.translator.batch.BatchTranslatorContext<UpdateBatchQuery> context)`
  `protected boolean`
  `isNullAttribute(org.apache.cayenne.access.translator.batch.BatchTranslatorContext<UpdateBatchQuery> context, DbAttribute attribute)`

  ### Methods inherited from class BaseBatchTranslator

  `buildQualifier, createBindings, doTranslate, translate`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UpdateBatchTranslator

    public UpdateBatchTranslator()

- ## Method Details

  - ### createSql

    protected String createSql(org.apache.cayenne.access.translator.batch.BatchTranslatorContext<UpdateBatchQuery> context)
    Specified by:
      `createSql` in class `BaseBatchTranslator<UpdateBatchQuery>`

  - ### isNullAttribute

    protected boolean isNullAttribute(org.apache.cayenne.access.translator.batch.BatchTranslatorContext<UpdateBatchQuery> context, DbAttribute attribute)
    Specified by:
      `isNullAttribute` in class `BaseBatchTranslator<UpdateBatchQuery>`

  - ### createRowValueIndexes

    protected int[] createRowValueIndexes(org.apache.cayenne.access.translator.batch.BatchTranslatorContext<UpdateBatchQuery> context)
    Description copied from class: `BaseBatchTranslator`
    Returns, for each PreparedStatement placeholder in the order `BaseBatchTranslator.createSql(BatchTranslatorContext)` emits them, the index of the `BatchQueryRow` value that feeds it.
    Specified by:
      `createRowValueIndexes` in class `BaseBatchTranslator<UpdateBatchQuery>`